<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Requests\RoleRequest;
use Spatie\Permission\Models\Role;

class RoleController extends Controller
{
    public function index()
    {
          $roles = Role::with('permissions')
            ->latest()
            ->paginate(10);

        // Kembalikan data ke komponen Inertia 'Admin/Roles/Index'
        return inertia('Admin/Roles/Index', compact('roles'));
    }
}
